cURL
curl --request GET \
--url https://api.useanima.sh/v1/openclaw/callback \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/openclaw/callback"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/openclaw/callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"state": "<string>",
"agent": {
"id": "<string>",
"email": "jsmith@example.com",
"name": "<string>",
"handle": "<string>",
"avatarUrl": "<string>",
"metadata": {}
},
"tokens": {
"accessToken": "<string>",
"refreshToken": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}API Reference
Get openclawcallback
GET
/
openclaw
/
callback
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Query Parameters
OAuth authorization code returned by the provider
Minimum string length:
1State parameter for CSRF verification
Minimum string length:
1Error code if the authorization was denied or failed
Minimum string length:
1Response
200 - application/json
OK
Result of processing the OpenClaw OAuth callback
Whether OpenClaw integration is enabled
State parameter echoed back for verification
Agent profile if authorization succeeded
Show child attributes
Show child attributes
OAuth tokens if authorization succeeded
Show child attributes
Show child attributes
